%define          _version    0_8_2

Name:           editarea 
Version:        %(echo %{_version} | sed 's/_/./g')
Release:        7%{?dist}
Summary:        A replacement for the HTML textarea tag

Group:          Applications/Internet
# Valid license according to http://fedoraproject.org/wiki/Licensing
License:        ASL 2.0 or LGPLv2+ or BSD
URL:            http://cdolivet.com/editarea/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}_%{_version}.zip
Source1:        %{name}.conf
Patch0:         editarea-fix_path.patch
Patch1:         editarea_0_8_2-bash.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       httpd
BuildArch:      noarch

%description
EditArea is a replacement for the HTML textarea tag.  It provides such features
as syntax highlighting (for some languages), search/replace, goto line number
and more.  EditArea is not a WYSIWYG editor.

%prep
%setup -qn %{name}_%{_version}
# Equiv to dos2unix
sed -i 's/\r//' ./todo.txt ./license_bsd.txt ./change_log.txt ./license_apache.txt ./docs/doc_style.css 
%patch0 -p1
%patch1 -p1

%build
# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/edit_area/reg_syntax
install -p -m 0644 %{S:1} $RPM_BUILD_ROOT%{_sysconfdir}/httpd/conf.d/%{name}.conf

mv exemples examples
mv examples/exemple_full.html examples/example_full.html
cp -a edit_area/* $RPM_BUILD_ROOT%{_datadir}/%{name}

cd $RPM_BUILD_ROOT%{_datadir}/%{name}
rm -f change_log.txt license_apache.txt license_bsd.txt license_lgpl.txt todo.txt
cd -

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/httpd/conf.d/*.conf
%{_datadir}/%{name}/
%doc change_log.txt license_apache.txt license_bsd.txt license_lgpl.txt todo.txt
%doc docs examples

%changelog
* Tue Mar 22 2011 Michael Mraka <michael.mraka@redhat.com> 0.8.2-7
- built package on RHEL6

* Mon Aug 16 2010 Shannon Hughes <shughes@redhat.com> 0.8.2-6
- fix version/release (shughes@redhat.com)

* Thu Jan 21 2010 Colin Coe <colin.coe@gmail.com> - 0.8.2-2
- Include bash syntax file

* Thu Jan 21 2010 Colin Coe <colin.coe@gmail.com> - 0.8.2-1
- Rebase to v0.8.2

* Tue Sep 22 2009 Colin Coe <colin.coe@gmail.com> - 0.8.1.1-5
- Use correct Source0 format

* Wed Sep 16 2009 Colin Coe <colin.coe@gmail.com> - 0.8.1.1-4
- Stop packaging duplicate files
- Fix summary line
- Change references to 'exemples' to 'examples'

* Mon Sep 7 2009 Colin Coe <colin.coe@gmail.com> - 0.8.1.1-3
- Remove user/group (-o/-g) from install
- Make install honor timestemps (-p)
- Patch exemple_full.html to reflect correct path

* Tue Sep 1 2009 Colin Coe <colin.coe@gmail.com> - 0.8.1.1-2
- Split out /etc/httpd/conf.d/editarea.conf

* Mon Aug 17 2009 Colin Coe <colin.coe@gmail.com> - 0.8.1.1-1
- Fix incorrect URL (s/cdolivet.net/cdolivet.com/)
- Rebase to editarea-0.8.1.1

* Wed Apr 15 2009 Colin Coe <colin.coe@gmail.com> - 0.7.2.3-2
- Provide better summary and description
- Increment release

* Wed Feb 11 2009 Colin Coe <colin.coe@gmail.com> - 0.7.2.3-1
- Initial Packaging 


